import { OnModuleInit } from '@nestjs/common';
import { ConfigDto } from './config.dto';
export declare class ConfigService implements OnModuleInit {
    #private;
    private configPath;
    private transformOpts;
    get config(): ConfigDto;
    set config(value: ConfigDto);
    constructor();
    onModuleInit(): Promise<void>;
    saveConfig(value?: ConfigDto): void;
    private loadConfig;
}
